curl --request GET \
--url https://api.example.com/api/v2/projects/{project_id}/prompt-datasets \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"input_names": [
"<string>"
],
"media_input_names": [
"<string>"
],
"support_history": true,
"description": null,
"tags": null
}
],
"pagination": {
"page": 123,
"page_size": 123,
"has_next": true
}
}Retrieve all prompt-level datasets in a project. Use to discover available datasets for test runs.
page_size defaults to 30, maximum 100.
curl --request GET \
--url https://api.example.com/api/v2/projects/{project_id}/prompt-datasets \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"input_names": [
"<string>"
],
"media_input_names": [
"<string>"
],
"support_history": true,
"description": null,
"tags": null
}
],
"pagination": {
"page": 123,
"page_size": 123,
"has_next": true
}
}Documentation Index
Fetch the complete documentation index at: https://docs.freeplay.ai/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
PromptDatasetsListResponse(data: list[server.api_routes.prompt_datasets_api_v2.PromptDatasetResponse], pagination: server.api_routes.api_v2_common.PaginationInfo)